summaryrefslogtreecommitdiff
path: root/tests/mv/partition-perm
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/partition-perm')
-rwxr-xr-xtests/mv/partition-perm55
1 files changed, 55 insertions, 0 deletions
diff --git a/tests/mv/partition-perm b/tests/mv/partition-perm
new file mode 100755
index 0000000..969dc74
--- /dev/null
+++ b/tests/mv/partition-perm
@@ -0,0 +1,55 @@
+#!/bin/sh
+# Make sure permissions are preserved when moving from one partition to another.
+
+# Copyright (C) 1999, 2000, 2001, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../other-fs-tmpdir
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+
+if test -z "$other_partition_tmpdir"; then
+ exit 77
+fi
+
+pwd=`pwd`
+dir=p-perm-$$
+trap 'cd "$pwd" && rm -rf $dir $other_partition_tmpdir' 0 1 2 3 15
+
+mkdir $dir
+
+cd $dir
+: > file
+chmod a=rwx file
+
+umask 077
+mv file $other_partition_tmpdir
+
+fail=0
+test -f file && fail=1
+test -f $other_partition_tmpdir/file || fail=1
+
+# This would have failed with the mv from fileutils-4.0i.
+set _ `ls -l $other_partition_tmpdir/file`; shift; mode=$1
+test "$mode" = "-rwxrwxrwx" || fail=1
+
+exit $fail